Skip to main content
POST
/
v2
/
admin
/
emergency-locations
Create Emergency Location
curl --request POST \
  --url https://api.voxo.co/v2/admin/emergency-locations/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "tenantId": 1,
  "address": {
    "loc": "<string>",
    "city": "<string>",
    "state": "<string>",
    "location": "<string>",
    "streetNum": "<string>",
    "postalCode": "<string>",
    "streetInfo": "<string>"
  }
}
'
{
  "id": 123,
  "name": "<string>",
  "tenant": {
    "id": 123,
    "name": "<string>"
  },
  "address": {
    "loc": "<string>",
    "city": "<string>",
    "state": "<string>",
    "location": "<string>",
    "streetNum": "<string>",
    "postalCode": "<string>",
    "streetInfo": "<string>"
  },
  "notificationGroups": [
    {
      "id": 123,
      "name": "<string>",
      "number": "<string>",
      "email": "<string>",
      "peerName": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Location name

Minimum string length: 1
tenantId
number
required

Tenant ID

Required range: x > 0
address
object
required
notificationGroups
object[]

E911 notification groups

Response

Created emergency location

id
number
required

Emergency location ID

name
string | null
required

Location name

tenant
object
required

Parent tenant

address
object
required

Street address

notificationGroups
object[] | null
required

E911 notification groups